ObjectType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: ObjectType

Package org.apache.geode.cache.configuration

# Class ObjectType

java.lang.Object
org.apache.geode.cache.configuration.ObjectType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ParameterType`

public class ObjectType extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
             <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

ObjectType represents either a string or an object represented by the DeclarableType

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DeclarableType`
  `declarable`
  `protected String`
  `string`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectType()`
  `ObjectType(String string)`
  `ObjectType(DeclarableType declarable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `DeclarableType`
  `getDeclarable()`
  Gets the value of the declarable property.
  `String`
  `getString()`
  Gets the value of the string property.
  `int`
  `hashCode()`
  `void`
  `setDeclarable(DeclarableType value)`
  Sets the value of the declarable property.
  `void`
  `setString(String string)`
  Sets the value of the string property.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### string

    protected String string

  - ### declarable

    protected DeclarableType declarable

- ## Constructor Details

  - ### ObjectType

    public ObjectType()

  - ### ObjectType

    public ObjectType(String string)

  - ### ObjectType

    public ObjectType(DeclarableType declarable)

- ## Method Details

  - ### getString

    public String getString()
    Gets the value of the string property.
    Returns:
      the string.

  - ### setString

    public void setString(String string)
    Sets the value of the string property.
    Parameters:
      `string` - the string.

  - ### getDeclarable

    public DeclarableType getDeclarable()
    Gets the value of the declarable property. possible object is `DeclarableType`
    Returns:
      the declarable type.

  - ### setDeclarable

    public void setDeclarable(DeclarableType value)
    Sets the value of the declarable property. allowed object is `DeclarableType`
    Parameters:
      `value` - the declarable type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`